AWSTemplateFormatVersion: 2010-09-09
Outputs:
  SourceBucket:
    Value: !Ref SamCliSourceBucket
Description: Managed Stack for AWS SAM CLI
Resources:
  SamCliSourceBucket:
    Type: 'AWS::S3::Bucket'
    Properties:
      VersioningConfiguration:
        Status: Enabled
      Tags:
        - Value: AwsSamCli
          Key: ManagedStackSource
  SamCliSourceBucketBucketPolicy:
    Type: 'AWS::S3::BucketPolicy'
    Properties:
      PolicyDocument:
        Statement:
          - Action:
              - 's3:GetObject'
            Resource: !Join 
              - ''
              - - 'arn:'
                - !Ref 'AWS::Partition'
                - ':s3:::'
                - !Ref SamCliSourceBucket
                - /*
            Effect: Allow
            Principal:
              Service: serverlessrepo.amazonaws.com
      Bucket: !Ref SamCliSourceBucket
Metadata:
  SamCliInfo:
    installationId: 8d968fa8-7a8c-4e15-86e7-0a509ff4df9c
    version: 1.19.0
